Public Member Functions
UIPersistable Class Reference

## Detailed Description

The UIPersistable object is the base class for Softimage UI persistable objects such as the View and Layout objects.

See also:
  View, Layout

Since:
  4.0

`#include <xsi_uipersistable.h>`

Inheritance diagram for UIPersistable:
[legend]

List of all members.

## Public Member Functions
| UIPersistable ()
| ~UIPersistable ()
| UIPersistable (const CRef &in_ref)
| UIPersistable (const UIPersistable &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
UIPersistable & | operator= (const UIPersistable &in_obj)
UIPersistable & | operator= (const CRef &in_ref)

## Constructor & Destructor Documentation

UIPersistable | ( |  | ) |

Default constructor.

~UIPersistable | ( |  | ) |

Default destructor.

UIPersistable | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

UIPersistable | ( | const UIPersistable & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from UIObject.

Reimplemented in Layout, Schematic, and View.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from UIObject.

Reimplemented in Layout, Schematic, and View.

UIPersistable& operator= | ( | const UIPersistable & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new UIPersistable object.

UIPersistable& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new UIPersistable object.

Reimplemented from UIObject.

Reimplemented in Layout, Schematic, and View.

The documentation for this class was generated from the following file:

- xsi_uipersistable.h